linux: 2.6.32-41.89 -proposed tracker

Bug #990103 reported by Herton R. Krzesinski on 2012-04-27
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-41.89 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 27. April 2012 20:55 UTC
kernel-stable-Prepare-package-end:Monday, 30. April 2012 09:02 UTC
kernel-stable-Promote-to-proposed-start:Monday, 30. April 2012 09:02 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 02. May 2012 06:30 UTC
kernel-stable-Verification-testing-start:Wednesday, 02. May 2012 07:31 UTC
kernel-stable-Verification-testing-end:Saturday, 05. May 2012 02:45 UTC
kernel-stable-Certification-testing-start:Saturday, 05. May 2012 02:46 UTC
kernel-stable-Security-signoff-start:Saturday, 05. May 2012 02:46 UTC
kernel-stable-Regression-testing-start:Saturday, 05. May 2012 02:46 UTC
kernel-stable-Security-signoff-end:Monday, 07. May 2012 18:45 UTC
kernel-stable-Certification-testing-end:Tuesday, 15. May 2012 08:15 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 15. May 2012 22:30 UTC
kernel-stable-Regression-testing-end:Tuesday, 15. May 2012 22:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 16. May 2012 09:30 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 16. May 2012 09:30 UTC

CVE References

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 991770

description: updated
Brad Figg (brad-figg) on 2012-05-02
description: updated
Brad Figg (brad-figg) on 2012-05-02
description: updated
Herton R. Krzesinski (herton) wrote :

Verification completed on lucid, all SRUs ok.

Brad Figg (brad-figg) on 2012-05-05
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-05-07
description: updated

Hardware Certification will begin testing this kernel but completion may be delayed due to lab engineers attending UDS.

Hardware Certification has completed testing on 43/45 systems. Two systems are not accessible in the labs. Results are available here: http://people.canonical.com/~hwcert/sru-testing/wk19_2012/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-05-15
description: updated
Brad Figg (brad-figg) on 2012-05-15
description: updated
Martin Pitt (pitti) on 2012-05-16
Changed in linux (Ubuntu):
status: In Progress → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-41.89

---------------
linux (2.6.32-41.89) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #990103

  [ Tim Gardner ]

  * SAUCE: (no-up) remove __initdata from vesafb_fix
    - LP: #969309

  [ Upstream Kernel Changes ]

  * jbd2: clear BH_Delay & BH_Unwritten in journal_unmap_buffer
    - LP: #929781
    - CVE-2011-4086
  * fcaps: clear the same personality flags as suid when fcaps are used
    - LP: #987571
    - CVE-2012-2123
  * lucid security: fix compile error in commoncap.c
    - LP: #987571
    - CVE-2012-2123
  * KVM: Clean up error handling during VCPU creation
    - LP: #971685
    - CVE-2012-1601
  * KVM: Ensure all vcpus are consistent with in-kernel irqchip settings
    - LP: #971685
    - CVE-2012-1601
 -- Herton Ronaldo Krzesinski <email address hidden> Fri, 27 Apr 2012 17:59:10 -0300

Changed in linux (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers